/*
    An example junk that loads and displays a model
    - Markku
*/

#include <SDL.h>
#include <SDL_opengl.h>
#include <stdlib.h>

#include "wavefront.h"
#include "gl_render.h"

int main(int argc, char *argv[])
{
  SDL_Event e;
  int quit=0,xs=640,ys=480;
  SCENE s;

  if(argc>=2)
  {
    xs=atoi(argv[1]);
    ys=atoi(argv[2]);
  }

  SDL_Init(SDL_INIT_VIDEO|SDL_INIT_TIMER);
  SDL_SetVideoMode(xs,ys,32,SDL_OPENGL);

  set_path("model/");
  load_scene(&s,"kuutijo.obj");

  while(!quit)
  {
    while(SDL_PollEvent(&e)>0)
    {
       if(e.type==SDL_KEYDOWN)
        if(e.key.keysym.sym==SDLK_ESCAPE)
          quit++;
    }

    glClearColor(0.2,0,0,0);
    glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
    glEnable(GL_DEPTH_TEST);

    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    glFrustum(-0.4,0.4, -0.3,0.3, 0.6, 100000);

    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
     
    glTranslatef(0,0,-4);
    glRotatef(SDL_GetTicks()/30.0,0,1,0);
    render_scene(&s,RENDER_NORMAL+RENDER_NOLIGHTS);

    SDL_GL_SwapBuffers();
  }

  SDL_Quit();
  return(0);
}
